Skip to content

Device Activity​

POST
/reports/activity

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Request Body​

application/x-www-form-urlencoded
object

The device id to get the data for

Format""

The date range to get the data for, in epoch milliseconds, [start, end]

Format"JSON"

Optional parameters, as JSON object, use the APP and developer console to see the options

Format"JSON"

Request example

Responses​

Request was successful

application/json
JSON
{
  
"off": {
  
  
"time": 0,
  
  
"distance": 0
  
},
  
"idle": {
  
  
"time": 0,
  
  
"distance": 0
  
},
  
"movingWithIgnitionOn": {
  
  
"time": 0,
  
  
"distance": 0
  
},
  
"movingWithIgnitionOff": {
  
  
"time": 0,
  
  
"distance": 0
  
},
  
"log": [
  
  
{
  
  
}
  
]
}
Try this endpoint

Playground​

Authorization
Body